y503unavai..✅ さんはインスタンス toot.redmine.jp のユーザーです。アカウントさえ持っていればフォローしたり会話したりできます。 もしお持ちでないなら こちら からサインアップできます。
y503unavai..✅ @y503unavailable

久しぶりに3.4-unofficialの新規インスタンスを立ててみたらdeploy失敗した。

bundler2.0、Gem修正、pluginのmaster-Redmine4.0化,,
どれも本家チケットで出ている修正だから取込み程度で終わるけど、CIで自分で検出できるようにする必要あるなー。

· Web · 0 · 0

楽勝の筈がorz
/var/lib/redmine/vendor/bundle/ruby/2.4.0/gems
groonga他多数が不足しており、pluginのmigrateで失敗する。
Rails4.2.8->4.2.11 が関連していないかな。。

Rails4.2.8にしても変わらず。
下記まで判明したので今日は寝る。
どっかでボケているんだろうなーorz

Gemfileで指定しているPluginがインストール失敗する。
Gemでインストール自体はできるが bundlerで表示されない。

bundler自体は1.7.3でインストール済(ansible上Ver指定)

bundle exec rake routes RAILS_ENV=production
rake aborted!
LoadError: No such file to load -- write_xlsx  (一例)

bundlerとgemでインストール先が食い違っているのが直接の原因?
bundle
/var/lib/redmine/vendor/bundle/ruby/2.4.0/gems
gem
/usr/local/lib/ruby/gems/2.4.0/gems/write_xlsx-0.85.5:

直接の原因判明

PluginのGemfile指定が無視されている。(installされない)
Plugin指定のGemをRedmine本体のGemfileに追加しbundle install実行すると動作した。
直近のbundlerとrailsのバージョンを以前に戻しても、自分の環境では変化無し。

自分の環境だけだろうか。。
いつものunofficialで実行しているだけなんだが
github.com/y503unavailable/red

Gemfileコピペ作業時ミスによる自爆と判明しました。:orz:
自力で解決したからいーや。